Package org.springframework.security.access.method

# Class DelegatingMethodSecurityMetadataSource

java.lang.Object
org.springframework.security.access.method.AbstractMethodSecurityMetadataSource
org.springframework.security.access.method.DelegatingMethodSecurityMetadataSource

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `MethodSecurityMetadataSource`, `SecurityMetadataSource`

@Deprecated public final class DelegatingMethodSecurityMetadataSource extends AbstractMethodSecurityMetadataSource
Deprecated.
Use the `use-authorization-manager` attribute for `<method-security>` and `<intercept-methods>` instead or use annotation-based or `AuthorizationManager`-based authorization
Automatically tries a series of method definition sources, relying on the first source of metadata that provides a non-null/non-empty response. Provides automatic caching of the retrieved metadata.

## Field Summary

### Fields inherited from class org.springframework.security.access.method.AbstractMethodSecurityMetadataSource

`logger`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingMethodSecurityMetadataSource(List<MethodSecurityMetadataSource> methodSecurityMetadataSources)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Collection<ConfigAttribute>`
`getAllConfigAttributes()`
Deprecated.
If available, returns all of the `ConfigAttribute`s defined by the implementing class.
`Collection<ConfigAttribute>`
`getAttributes(Method method, Class<?> targetClass)`
Deprecated.
`List<MethodSecurityMetadataSource>`
`getMethodSecurityMetadataSources()`
Deprecated.

### Methods inherited from class org.springframework.security.access.method.AbstractMethodSecurityMetadataSource

`getAttributes, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingMethodSecurityMetadataSource

public DelegatingMethodSecurityMetadataSource(List<MethodSecurityMetadataSource> methodSecurityMetadataSources)
Deprecated.

## Method Details

### getAttributes

public Collection<ConfigAttribute> getAttributes(Method method, Class<?> targetClass)
Deprecated.

### getAllConfigAttributes

public Collection<ConfigAttribute> getAllConfigAttributes()
Deprecated.
Description copied from interface: `SecurityMetadataSource`
If available, returns all of the `ConfigAttribute`s defined by the implementing class.

This is used by the `AbstractSecurityInterceptor` to perform startup time validation of each `ConfigAttribute` configured against it.

Returns:
  the `ConfigAttribute`s or `null` if unsupported

### getMethodSecurityMetadataSources

public List<MethodSecurityMetadataSource> getMethodSecurityMetadataSources()
Deprecated.